<?php
class ComControls extends netsControls {
	
	public function ComControls(){
		$this->netsControls();
		
	}
	
	public function getControl($pColumn){
		if($pColumn['stcoctUiType']=='Hidden'){
			$tmpControl=new Normal_Hidden();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Non'){
			$tmpControl=new Normal_Non();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label'){
			$tmpControl=new Normal_Label();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelShow'){
			$tmpControl=new Normal_LabelShow();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelImg'){
			$tmpControl=new Normal_LabelImg();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelAR'){
			$tmpControl=new Normal_LabelAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Text'){
			$tmpControl=new Normal_Text();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextStyle'){
			$tmpControl=new Normal_TextStyle();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextOptions'){
			$tmpControl=new Normal_TextOptions();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Pxd'){
			$tmpControl=new Normal_Pxd();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CCode'){
			$tmpControl=new Normal_CCode();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CACode'){
			$tmpControl=new Normal_CACode();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextChoose'){
			$tmpControl=new Normal_TextChoose();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextChooses'){
			$tmpControl=new Normal_TextChooses();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextChooses_Checkbox'){
			$tmpControl=new Normal_TextChooses_Checkbox();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Source'){
			$tmpControl=new Normal_Source();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='SourceM'){
			$tmpControl=new Normal_SourceM();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Sources'){
			$tmpControl=new Normal_Sources();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='SourceX'){
			$tmpControl=new Normal_SourceX();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='SourcesX'){
			$tmpControl=new Normal_SourcesX();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextArea'){
			$tmpControl=new Normal_TextArea();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='UserEdit'){
			$tmpControl=new Normal_UserEdit();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='HtmlEdit'){
			$tmpControl=new Normal_HtmlEdit();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='HtmlEditBasic'){
			$tmpControl=new Normal_HtmlEditBasic();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='DropdownAR'){
			$tmpControl=new Normal_DropdownAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='NDropdownAR'){
			$tmpControl=new Normal_NDropdownAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='DropdownTable'){
			$tmpControl=new Normal_DropdownTable();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CheckboxAR'){
			$tmpControl=new Normal_CheckboxAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CheckboxAR_DataColumns'){
			$tmpControl=new Normal_CheckboxAR_DataColumns();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='RadioAR'){
			$tmpControl=new Normal_RadioAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LinkAR'){
			$tmpControl=new Normal_LinkAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Scoring'){
			$tmpControl=new Normal_Scoring();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='FromTo'){
			$tmpControl=new Normal_FromTo();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Into'){
			$tmpControl=new Normal_Into();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='ChildChoose'){
			$tmpControl=new Normal_ChildChoose();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='ChildChooseX'){
			$tmpControl=new Normal_ChildChooseX();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='MapChoose'){
			$tmpControl=new Normal_MapChoose();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='MenuPower'){
			$tmpControl=new Normal_MenuPower();
			$tmpControl->Control($pColumn);

		}
	}
	public function getDetail($pColumn){
		if($pColumn['stcoctUiType']=='Hidden'){
			$tmpControl=new Detail_Hidden();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Non'){
			$tmpControl=new Detail_Non();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label_Title'){
			$tmpControl=new Detail_Label_Title();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label_Normal'){
			$tmpControl=new Detail_Label_Normal();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label_Text'){
			$tmpControl=new Detail_Label_Text();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label_Data'){
			$tmpControl=new Detail_Label_Data();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label_ListData'){
			$tmpControl=new Detail_Label_ListData();
			$tmpControl->Control($pColumn);
			
		}
	}
	public function getSearch($pColumn){
		if($pColumn['stcoctUiType']=='Hidden'){
			$tmpControl=new Search_Hidden();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Non'){
			$tmpControl=new Search_Non();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Text'){
			$tmpControl=new Search_Text();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='DropdownAR'){
			$tmpControl=new Search_DropdownAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='NDropdownAR'){
			$tmpControl=new Search_NDropdownAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LinkAR'){
			$tmpControl=new Search_LinkAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextChoose'){
			$tmpControl=new Search_TextChoose();
			$tmpControl->Control($pColumn);
		}
	}
	public function getList($pColumn){
		if($pColumn['stcoctUiType']=='Hidden'){
			$tmpControl=new List_Hidden();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Non'){
			$tmpControl=new List_Non();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label'){
			$tmpControl=new List_Label();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelShow'){
			$tmpControl=new List_LabelShow();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelImg'){
			$tmpControl=new List_LabelImg();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='LabelAR'){
			$tmpControl=new List_LabelAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Text'){
			$tmpControl=new List_Text();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='DropdownAR'){
			$tmpControl=new List_DropdownAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='NDropdownAR'){
			$tmpControl=new List_NDropdownAR();
			$tmpControl->Control($pColumn);
			
		}
	}
	
}
?>